{*editVlastnost*}
<a href="#" class="text-primary" data-bs-toggle="modal" data-bs-target="#editVlastnostModal-{$data->id}">
    <i class="fas fa-edit me-2"></i>Editovat
</a>
<div class="modal fade" id="editVlastnostModal-{$data->id}">
    <div class="modal-dialog">
        <form n:name=editVlastnostForm>
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title">Editace vlastnosti</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input n:name="nazev" class="form-control nazev-{$data->id}" placeholder="Název vlastnosti" onchange="checkEditVlast({$data->id})">
                    </div>
                    <div id="nazevCheckMessage-{$data->id}" class="form-text text-danger" style="display: none">Název je již použit u jiné vlastnosti!</div>
                    <div class="mb-3">
                        <div class="form-check">
                            <input class="form-check-input" n:name="filtr">
                            <label class="form-check-label">
                                Filtrovatelná
                            </label>
                        </div>
                        <div class="form-text text-warning mb-3">Určuje, zda je vlastnost používána ve filtraci produktů.</div>
                    </div>
                </div>
                <div class="modal-footer">
                    <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button n:name="send" class="btn btn-success send-{$data->id}"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </form>
    </div>
</div>

<script>
    function checkEditVlast(id)
    {
        let nazev = $('.nazev-'+id).val();

        naja.makeRequest('POST', {link 'checkNazev'} , { {$control->getParameterId('nazev') }: nazev })
    .then((payload) => {
        console.log(payload)
        if (payload.check == 1)
        {
            $('.send-'+id).prop('disabled', true);
            $('#nazevCheckMessage-'+id).show();
            $('.nazev-'+id).removeClass('is-valid');
            $('.nazev-'+id).addClass('is-invalid');
        }else{
            $('.send-'+id).prop('disabled', false);
            $('#nazevCheckMessage-'+id).hide()
            $('.nazev-'+id).removeClass('is-invalid');
            $('.nazev-'+id).addClass('is-valid');
        }
    })
        .catch((error) => { console.log(error) });
    }
</script>